﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Ch Delay IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Sam Rate IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Sig Out IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Pb Comp IEEE/9100+Opt600
INSTRUMENT:            Sub Tek TDS5000B (1 yr) Trig Time IEEE/9100+Opt600
DATE:                  2009-06-30 11:16:58
AUTHOR:                Fluke
REVISION:              $Revision: 1.7 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       28
NUMBER OF LINES:       733
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tek_tds5000b_1yr_dcv_acc_etc_ieee_9100_opt600.txt,v $
#    $Date: 2009/06/30 18:07:32 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS5000B Series: TDS 5032B, TDS 5034B, TDS 5052B, TDS 5054B,
#                         TDS 5054BE, TDS 5104B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Read Time by Cursor Walker IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         DCV_MEAS_ACC                 PSUBI("DCV Meas")
  1.002  JMPL         CHANNEL_DELAY                PSUBI("Ch Delay")
  1.003  JMPL         SAMPLE_RATE                  PSUBI("Sam Rate")
  1.004  JMPL         SIGNAL_OUT                   PSUBI("Sig Out")
  1.005  JMPL         PROBE_COMPENSATION_SIGNAL    PSUBI("Pb Comp")
  1.006  JMPL         TRIGGER_TIME_ACCURACY        PSUBI("Trig Time")
  1.007  DISP         {Undefined subprocedure!}
  1.008  END

  1.009  EVAL   Increment step number

# ************************* DC Voltage Measurement  **************************

  2.001  LABEL        DCV_MEAS_ACC

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  HEAD         DC VOLTAGE MEASUREMENT ACCURACY (CH [V @Chan])

  2.009  RSLT         =
  2.010  HEAD         -2{ 5 mV/div}
  2.011  TARGET       -p
  2.012  CALL         Sub Tek TDS5000B Channel Select IEEE

  2.013  IF           @Chan > 1
  2.014  MATH         Ch = @Chan
  2.015  DISP         Connect the 9100 Hi and Lo (on front) to UUT CH [V Ch]
  2.015  DISP         via a BNC female to double stacking banana plug and
  2.015  DISP         BNC(m)-(m) 50 Ohm cable.
  2.016  ENDIF

  2.017  IEEE2        ACQ:MODE AVE;NUMAV 16
  2.018  IEEE2        MEASU:MEAS1:SOURCE CH[V @Chan];TYPE MEAN;STATE ON
  2.019  IEEE2        CH[V @Chan]:SCA 5E-3;POSITION -5;OFFS +1
  2.020  TSET         TDESC = 1.04 V Level, 1 V Offset
  2.021  9100         1.0400V                                           S  2W
  2.022  WAIT         -t 2 Settling...
  2.023  TARGET       -m
  2.024  IEEE2        MEASU:MEAS1:VAL?[I]
  2.025  MEMCX  0.005 1.0400V        0.0047U

  3.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -1
  3.002  TSET         TDESC = -1.04 V Level, -1 V Offset
  3.003  9100         -1.0400V                                          S  2W
  3.004  WAIT         -t 2 Settling...
  3.005  TARGET       -m
  3.006  IEEE2        MEASU:MEAS1:VAL?[I]
  3.007  MEMCX  0.005 -1.0400V       0.0047U

  4.001  RSLT         =
  4.002  HEAD         -2{ 200 mV/div}
  4.003  TARGET       -p
  4.004  IEEE2        CH[V @Chan]:SCA 200E-3;POSITION -5;OFFS +10
  4.005  TSET         TDESC = 11.6 V Level, 10 V Offset
  4.006  9100         11.6000V                                          S  2W
  4.007  WAIT         -t 2 Settling...
  4.008  TARGET       -m
  4.009  IEEE2        MEASU:MEAS1:VAL?[I]
  4.010  MEMCX  0.2   11.6000V       0.1011U

  5.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -10
  5.002  TSET         TDESC = -11.6 V Level, -10 V Offset
  5.003  9100         -11.6000V                                         S  2W
  5.004  WAIT         -t 2 Settling...
  5.005  TARGET       -m
  5.006  IEEE2        MEASU:MEAS1:VAL?[I]
  5.007  MEMCX  0.2   -11.6000V      0.1011U

  6.001  RSLT         =
  6.002  HEAD         -2{ 1.01 V/div}
  6.003  TARGET       -p
  6.004  IEEE2        CH[V @Chan]:SCA 1.01;POSITION -5;OFFS +10;
  6.005  TSET         TDESC = 18 V Level, 10 V Offset
  6.006  9100         18.000V                                           S  2W
  6.007  WAIT         -t 2 Settling...
  6.008  TARGET       -m
  6.009  IEEE2        MEASU:MEAS1:VAL?[I]
  6.010  MEMCX  1.01  18.000V        0.398U

  7.001  IEEE2        CH[V @Chan]:POSITION +5;OFFS -10
  7.002  TSET         TDESC = -18 V Level, -10 V Offset
  7.003  9100         -18.000V                                          S  2W
  7.004  WAIT         -t 2 Settling...
  7.005  TARGET       -m
  7.006  IEEE2        MEASU:MEAS1:VAL?[I]
  7.007  MEMCX  1.01  -18.000V       0.398U

  8.001  HEAD
  8.002  HEAD         -2
  8.003  9100         *                                                 S
  8.004  END

  8.005  EVAL   Increment step number

# ******************************* Channel Delay *****************************

  9.001  LABEL        CHANNEL_DELAY
  9.002  RSLT         =
  9.003  HEAD         {CHECK DELAY BETWEEN CHANNELS}
  9.004  TARGET
  9.005  CALL         Sub Tek TDS5000B Channel Select IEEE
  9.006  DISP         Connect the 9100 SIG OUT (on rear) to the input of a
  9.006  DISP         2 way power splitter via a BNC(f) to SMA(m) adapter.
  9.006  DISP
  9.006  DISP         Connect one output of the power splitter to UUT CH 1 via
  9.006  DISP         SMA(f) to SMA(f) and SMA(m) to BNC(f) adapters, and
  9.006  DISP         a BNC(m)-(m) cable.
  9.006  DISP
  9.006  DISP         Connect the other output of the power splitter to UUT
  9.006  DISP         CH 2 via SMA(f) to SMA(f) and SMA(m) to BNC(f) adapters,
  9.006  DISP         and a BNC(m)-(m) cable.
  9.006  DISP
  9.006  DISP         NOTE. To ensure that you do not introduce errors into
  9.006  DISP         the delay measurements, use cables that have a delay
  9.006  DISP         difference of less than 10 ps between each other. It is
  9.006  DISP         recommended that same type and length cables are used.
  9.007  IEEE2        SELECT:CH2 ON
  9.008  IEEE2        CH1:TER 50;SCA 100E-3
  9.008  IEEE2        CH2:TER 50;SCA 100E-3
  9.009  IEEE2        ACQ:MODE AVE;NUMAV 16

  9.010  IF           ZCMPI(@ModelNum, "TDS5054BE")
  9.011  IEEE2        HOR:SCA 400E-12
  9.012  ELSE
  9.013  IEEE2        HOR:SCA 500E-12
  9.014  ENDIF

# Set the 9100 amplitude to accommodate for the power splitter and result
# in a 8 division waveform on the screen with vertical attenuation set to
# 100 mV/div.
  9.015  9100         1600mVpp                     250MH          LS SC S  L
  9.016  IEEE2        [D1000]TRIG:A SETL
  9.017  IEEE2        HOR:SCA 200E-12

  9.018  IF           @NumChan == 2
# Get Channel 1 the horizontal time when the waveform cross the zero.
  9.019  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH1;STATE ON
  9.020  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.021  MATH         M[1] = @TimeVal

# Get Channel 2 the horizontal time when the waveform cross the zero.
  9.022  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH2;STATE ON
  9.023  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.024  MATH         M[2] = @TimeVal

# Calculate the maximum delay between two channels
  9.025  MATH         MEM = MAX(1, 2) - MIN(1, 2)

  9.026  ELSE
# Save channel 2 waveform into memory file
  9.027  IEEE2        [D1000]SAVE:WAVE CH2,REF2
  9.028  IEEE2        SELECT:CH2 OFF

  9.029  DISP         Move the cable from CH 2 to CH 3, so that CH 1 and CH 3
  9.029  DISP         are driven.
# Save channel 3 waveform into memory file
  9.030  IEEE2        SELECT:CH3 ON
  9.031  IEEE2        CH3:TER 50;SCA 100E-3
  9.032  IEEE2        [D1000]SAVE:WAVE CH3,REF3
  9.033  IEEE2        SELECT:CH3 OFF

  9.034  DISP         Move the cable from CH 3 to CH 4, so that CH 1 and CH 4
  9.034  DISP         are driven.
  9.035  IEEE2        SELECT:CH4 ON
  9.036  IEEE2        CH4:TER 50;SCA 100E-3

# Recall the saved channel 2 and 3 waveforms.
  9.037  IEEE2        RECALL:WAVE "TDS_REF2.wfm",REF2
  9.037  IEEE2        RECALL:WAVE "TDS_REF3.wfm",REF3

# Get the horizontal time of Channel 1 when the waveform cross the zero.
  9.038  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH1;STATE ON
  9.039  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.040  MATH         M[1] = @TimeVal

# Get the horizontal time of Channel 2 when the waveform cross the zero.
  9.041  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 REF2;STATE ON
  9.042  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.043  MATH         M[2] = @TimeVal

# Get the horizontal time of Channel 3 when the waveform cross the zero.
  9.044  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 REF3;STATE ON
  9.045  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.046  MATH         M[3] = @TimeVal

# Get the horizontal time of Channel 4 when the waveform cross the zero.
  9.047  IEEE2        CURS:FUNC WAVE;MOD IND;SOU1 CH4;STATE ON
  9.048  CALL         Sub Tek TDS5000B Read Time by Cursor Walker IEEE
  9.049  MATH         M[4] = @TimeVal

# Calculate the maximum delay between four channels.
  9.050  MATH         MEM = MAX(1, 4) - MIN(1, 4)
  9.051  ENDIF

  9.052  MATH         S[10] = FMT((MEM / 1E-12), "%.1f")
  9.053  MEM2         = Limit : <= 100 ps, Result: [S10] ps
  9.054  EVAL   -e MEM <= 100E-12 : [MEM2]

 10.001  IF           @NumChan == 2
 10.002  DISP         Remove the cable from the UUT CH 1, CH 2.

 10.003  ELSE
 10.004  DISP         Remove the cable from the UUT CH 1, CH 4.
 10.005  ENDIF

 10.006  HEAD
 10.007  9100         *                                                 S
 10.008  END

 10.009  EVAL   Increment step number

# ******************************** Sample Rate *****************************

 11.001  LABEL        SAMPLE_RATE
 11.002  RSLT         =
 11.003  RSLT         =TIME BASE SYSTEM CHECKS
 11.004  RSLT         =
 11.005  HEAD         {SAMPLE RATE AND DELAY TIME ACCURACY}
 11.006  TARGET
 11.007  CALL         Sub Tek TDS5000B Channel Select IEEE

# According the different horizontal scale setting the pass limit is different
 11.008  IF           ZCMPI(@ModelNum, "TDS5054BE")
 11.009  IEEE2        CH[V @Chan]:TER 50;SCA 500E-3
 11.010  IEEE2        HOR:SCA 100E-9
 11.011  9100         10mT                         1Vpp           MK SC S  L
 11.012  IEEE2        [D1000]TRIG:A SETL[D800]
 11.013  IEEE2        TRIG:A:MOD NORM
# First to shift the waveform approximately in order for measurement and shift
# accurately to the center of the screen later.
 11.014  IEEE2        CH[V @Chan]:POS -1
 11.015  IEEE2        MEASU:MEAS1:SOURCE CH[V @Chan];TYPE AMPL;STATE ON
 11.016  IEEE2        [D500]MEASU:MEAS1:VAL?[I]
 11.017  MATH         L[1] = -1 * ((MEM / 2) / 500E-3)
 11.018  IEEE2        CH[V @Chan]:POS [L1]
 11.019  WAIT         [D1000]
 11.020  IEEE2        HOR:MAI:DEL:MOD ON;TIM 10E-3
 11.021  MESS         Does the rising edge of the marker cross the center
 11.021  MESS         horizontal graticule line within ±1.5 divisions of
 11.021  MESS         center graticule?
 11.022  MEM2         = Limit : ±1.5 div @ 100 ns/div, 10.0 ms delay time
 11.023  EVAL   -s MEM2 :

 12.001  ELSE
 12.002  IEEE2        CH[V @Chan]:TER 50;SCA 500E-3
 12.003  IEEE2        HOR:SCA 80E-9
 12.004  9100         10mT                         1Vpp           MK SC S  L
 12.005  IEEE2        [D200]TRIG:A SETL[D800]
 12.006  IEEE2        TRIG:A:MOD NORM
# Firstly shift the waveform approximately in order for measurement and then
# shift accurately to the center of the screen.
 12.007  IEEE2        CH[V @Chan]:POS -1
 12.008  IEEE2        MEASU:MEAS1:SOURCE CH[V @Chan];TYPE AMPL;STATE ON
 12.009  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 12.010  MATH         L[1] = -1 * ((MEM / 2) / 500E-3)
 12.011  IEEE2        CH[V @Chan]:POS [L1]
 12.012  WAIT         [D1000]
 12.013  IEEE2        HOR:MAI:DEL:MOD ON;TIM 10E-3
 12.014  MESS         Does the rising edge of the marker cross the center
 12.014  MESS         horizontal graticule line within ±1.9 divisions of
 12.014  MESS         center graticule?
 12.015  MEM2         = Limit : ±1.9 div @ 80 ns/div, 10.0 ms delay time
 12.016  EVAL   -s MEM2 :
 13.001  ENDIF

 13.002  HEAD
 13.003  MESS
 13.004  9100         *                                                 S
 13.005  END

 13.006  EVAL   Increment step number

# ******************************** Signal Out *****************************

 14.001  LABEL        SIGNAL_OUT
 14.002  RSLT         =
 14.003  RSLT         =OUTPUT SIGNAL CHECKS
 14.004  RSLT         =
 14.005  HEAD         { AUX TRIG OUT TEST}
 14.006  TARGET
 14.007  CALL         Sub Tek TDS5000B Channel Select IEEE
 14.008  DISP         Connect the 9100 SIG OUT (on rear) to the UUT CH 3.
# Get the current channel value under test for using in below subprocedures.
 14.009  IEEE2        CH[V @Chan]:TER 50;SCA 100E-3
 14.010  IEEE2        HOR:SCA 200E-6
 14.011  IEEE2        TRIG:A:MOD NORM;TYPE EDGE
 14.012  IEEE2        TRIG:A:EDGE:SOU CH[V @Chan]
 14.013  IEEE2        MEASU:METH MINM
 14.014  9100         0.5Vpp                       1kH            ZQ SC S  L
 14.015  WAIT         -t 2 Settling...
 14.016  IEEE2        TRIG:A SETL
 14.017  IEEE2        ACQ:MODE AVE;NUMAV 64
 14.018  DISP         Connect the UUT AUX OUT(on rear) to the UUT CH 2 via
 14.018  DISP         a BNC(m)-(m) 50 Ohm cable.
 14.018  DISP
 14.018  DISP         Leave the 9100 SIG OUT (on rear) connected to the
 14.018  DISP         UUT CH 3.
 14.019  IEEE2        SELECT:CH[V @Chan] OFF;CH2 ON
 14.020  IEEE2        CH2:SCA 1;POS 0
 14.021  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
 14.022  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
 14.023  WAIT         -t 2 Settling...
 14.024  IEEE2        TRIG:A SETL
 14.025  IEEE2        MEASU:MEAS1:VAL?[I]
 14.026  MATH         S[10] = FMT(MEM, "%.1f")
 14.027  MEM2         = High Limit (Open Circuit) : >= 2.5 V, Result: [S10] V
 14.028  EVAL   -e MEM >= 2.5 : [MEM2]

 15.001  9100         0.5Vpp                       1kH            ZQ SC S  L
 15.002  WAIT         -t 2 Settling...
 15.003  IEEE2        TRIG:A SETL
 15.004  IEEE2        MEASU:MEAS2:VAL?[I]
 15.005  MATH         S[10] = FMT(MEM, "%.1f")
 15.006  MEM2         = LOW Limit (Open Circuit) : <= 0.7 V, Result: [S10] V
 15.007  EVAL   -e MEM <= 0.7 : [MEM2]

 16.001  9100         0.5Vpp                       1kH            ZQ SC S  L
 16.002  WAIT         -t 2 Settling...
 16.003  IEEE2        TRIG:A SETL
 16.004  IEEE2        CH2:TER 50
 16.005  IEEE2        MEASU:MEAS1:VAL?[I]
 16.006  MATH         S[10] = FMT(MEM, "%.1f")
 16.007  MEM2         = High Limit (50 Ohm) : >= 1.0 V, Result: [S10] V
 16.008  EVAL   -e MEM >= 1.0 : [MEM2]

 17.001  9100         0.5Vpp                       1kH            ZQ SC S  L
 17.002  WAIT         -t 2 Settling...
 17.003  IEEE2        TRIG:A SETL
 17.004  IEEE2        MEASU:MEAS2:VAL?[I]
 17.005  MATH         S[10] = FMT(MEM, "%.2f")
 17.006  MEM2         = LOW Limit (50 Ohm) : <= 0.25 V, Result: [S10] V
 17.007  EVAL   -e MEM <= 0.25 : [MEM2]
 18.001  IEEE2        MEASU:MEAS1:STATE OFF
 18.002  IEEE2        MEASU:MEAS2:STATE OFF

 18.003  RSLT         =
 18.004  HEAD         { SIGNAL OUT TEST}
 18.005  TARGET
 18.006  DISP         Move the BNC(m)-(m) 50 Ohm cable from the UUT AUX OUT
 18.006  DISP         to the UUT SIGNAL OUT
 18.006  DISP
 18.006  DISP         Leave the 9100 SIG OUT (on rear) connected to the
 18.006  DISP         UUT CH 3.
 18.007  IEEE2        CH2:TER 1E+6;SCA 100E-3;POS 0
 18.008  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
 18.009  9100         0.5Vpp                       1kH            ZQ SC S  L
 18.010  WAIT         -t 2 Settling...
 18.011  IEEE2        TRIG:A SETL
 18.012  IEEE2        MEASU:MEAS1:VAL?[I]
 18.013  MATH         MEM = MEM / 1E-3
 18.014  MATH         S[10] = FMT(MEM, "%.0f")
 18.015  MEM2         = Limit(1 MOhm): 200 <= AMPL <= 300 mVpp
 18.016  MEM2         =[MEM2], Result: [S10] mVpp
 18.017  EVAL   -e  MEM >= 200 && MEM <= 300 : [MEM2]

 19.001  IEEE2        CH2:TER 50
 19.002  9100         0.5Vpp                       1kH            ZQ SC S  L
 19.003  WAIT         -t 2 Settling...
 19.004  IEEE2        TRIG:A SETL
 19.005  IEEE2        MEASU:MEAS1:VAL?[I]
 19.006  MATH         MEM = MEM / 1E-3
 19.007  MATH         S[10] = FMT(MEM, "%.0f")
 19.008  MEM2         = Limit(50 Ohm): 100 <= AMPL <= 150 mVpp
 19.009  MEM2         =[MEM2], Result: [S10] mVpp
 19.010  EVAL   -e MEM >= 100 && MEM <= 150 : [MEM2]

 20.001  HEAD
 20.002  9100         *                                                 S
 20.003  END

 20.004  EVAL   Increment step number

# ************************** Probe Compensation *****************************

 21.001  LABEL        PROBE_COMPENSATION_SIGNAL
 21.002  RSLT         =
 21.003  HEAD         {PROBE COMPENSATION SIGNAL TEST}
 21.004  TARGET       -p
 21.005  CALL         Sub Tek TDS5000B Channel Select IEEE

 21.006  DO
 21.007  OPBR         -z Connect a 10X active oscilloscope probe, such as
 21.007  OPBR         Tektronix P5050, P6243, P6245 or a general 1X or 10X
 21.007  OPBR         oscilloscope probe to the UUT CH [V @Chan].
 21.007  OPBR         Connect the probe leads to the UUT PROBE COMP output.
 21.007  OPBR
 21.007  OPBR         It is recommended use the x1 rate of the probe in order
 21.007  OPBR         to have bigger resolution during the measurement.
 21.007  OPBR
 21.007  OPBR         Tektronix P5050, P6243, or P6245 have the circuit of
 21.007  OPBR         TEKPROBE interface that provides the communication
 21.007  OPBR         path between the probe and oscilloscope. Contact pins
 21.007  OPBR         provide power, signal, and data transfer for the probe
 21.007  OPBR         identification EEPROM. It can configure some parameters
 21.007  OPBR         of oscilloscope to the probe automatically.
 21.007  OPBR
 21.007  OPBR         Do the probe you connected have the TEKPROBE interface?

 21.008  IF           MEM1
 21.009  MATH         Probe = 1
 21.010  MATH         VerticalScale = 200E-3
 21.011  ELSE
 21.012  OPBR         -z Is your general oscilloscope probe 10X?

 21.013  IF           MEM1
 21.014  MATH         Probe = 10
 21.015  MATH         VerticalScale = 20E-3
 21.016  ELSE
 21.017  OPBR         -z Is your general oscilloscope probe 1X?

 21.018  IF           MEM1
 21.019  MATH         Probe = 1
 21.020  MATH         VerticalScale = 200E-3
 21.021  ELSE
 21.022  MATH         Probe = 0
 21.023  DISP         Your general oscilloscope probe must be 1X or 10X probe!
 21.023  DISP
 21.023  DISP         You should connect a proper one.
 21.024  ENDIF

 21.025  ENDIF

 21.026  ENDIF

 21.027  UNTIL        Probe > 0

 21.028  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
 21.029  IEEE2        CH[V @Chan]:POS -2.5;TER 1E+6
 21.030  IEEE2        HOR:SCA 200E-6
 21.031  IEEE2        TRIG:A:MOD AUTO
 21.031  IEEE2        TRIG:A SETL
 21.032  IEEE2        ACQ:MODE AVE;NUMAV 128
# Get the high and low value of waveform, accurately shift the waveform to the
# center of the screen before saving it.
 21.033  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE HIGH;STATE ON
 21.034  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE LOW;STATE ON
 21.035  WAIT         -t 3 Settling...
 21.036  IEEE2        MEASU:MEAS1:VAL?[I]
 21.037  MATH         High = MEM / 1E-3

 21.038  IEEE2        MEASU:MEAS2:VAL?[I]
 21.039  MATH         Low = MEM / 1E-3

# Calculate the shift value of center the waveform on the screen based the
# vertical division.
 21.040  MATH         L[1] = -1 * (High - Low) / 2 / (VerticalScale / 1E-3)
 21.041  IEEE2        CH[V @Chan]:POS [L1]
 21.042  WAIT         [D1000]
 21.043  IEEE2        SAVE:WAVE CH[V @Chan],REF1
 21.044  IEEE2        MEASU:MEAS1:STATE OFF

 21.045  MATH         Ch = @Chan
 21.046  DISP         Disconnect this oscilloscope probe from UUT CH [V Ch].
 21.047  DISP         Connect the 9100 Hi and Lo (on front) to UUT CH [V Ch]
 21.047  DISP         via a BNC female to double stacking banana plug and
 21.047  DISP         BNC(m)-(m) 50 Ohm cable.
 21.048  IEEE2        ACQ:MODE AVE;NUMAV 16
 21.049  IEEE2        RECALL:WAVE "TDS_REF1.wfm",REF1
# Get the high measurement of recalled probe compensation signal.
 21.050  IEEE2        MEASU:MEAS1:SOU REF1;TYPE HIGH;STATE ON
 21.051  WAIT         [D1000]
 21.052  IEEE2        MEASU:MEAS1:VAL?[I]
 21.053  MATH         High = MEM / 1E-3

# Set the proper increment for loop control according the probe type.
 21.054  IF           Probe == 1
 21.055  MATH         Increment = 0.1
 21.056  ELSE
 21.057  MATH         Increment = 0.05
 21.058  ENDIF

 21.059  WAIT         [D1000]
 21.060  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of recalled waveform.
 21.061  MATH         MEM = High; MEM1 = MEM

 21.062  DO
 21.063  MATH         MEM = MEM1 + (High - MEM) / 2

# Set the output limit trap in order to avoid calculated output exceed the
# display scale of screen too much and resulted query error because of
# unstable reading.
 21.064  MATH         L[6] = VerticalScale * 6 / 1E-3

 21.065  IF           MEM > L[6] || MEM < (-1 * L[6])
 21.066  MATH         MEM = High
 21.067  ENDIF

 21.068  9100         mV                                                S  2W
 21.069  WAIT         [D1000]
 21.070  IEEE2        MEASU:MEAS2:VAL?[I]
 21.071  MATH         MEM = MEM / 1E-3
 21.072  UNTIL        MEM >= (High - Increment) && MEM <= (High + Increment)

# Last calibrator amplitude setting is in MEM1.
 21.073  MATH         AmpHigh = MEM1

 21.074  IEEE2        MEASU:MEAS1:SOU REF1;TYPE LOW;STATE ON
 21.075  WAIT         [D1000]
 21.076  IEEE2        MEASU:MEAS1:VAL?[I]
 21.077  MATH         Low = MEM / 1E-3
 21.078  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of recalled waveform.
 21.079  MATH         MEM = Low; MEM1 = MEM

 21.080  DO
 21.081  MATH         MEM = MEM1 + (Low - MEM) / 2
 21.082  9100         mV                                                S  2W
 21.083  MATH         Ampl = MEM1
 21.084  WAIT         [D1000]
 21.085  IEEE2        MEASU:MEAS2:VAL?[I]
 21.086  MATH         MEM = MEM / 1E-3
 21.087  UNTIL        MEM >= (Low - Increment) && MEM <= (Low + Increment)

# Last calibrator amplitude setting is in MEM1.
 21.088  MATH         AmpLow = MEM1

 21.089  MATH         MEM = (AmpHigh - AmpLow) * Probe
 21.090  MATH         S[10] = FMT(MEM, "%.0f")
 21.091  MEM2         = Limit: 990 <= AMPL <= 1010 mV
 21.092  MEM2         =[MEM2], Result: [S10] mV
 21.093  EVAL   -e MEM >= 990 && MEM <= 1010 : [MEM2]

 22.001  IEEE2        MEASU:MEAS1:SOU REF1;TYPE FREQ;STATE ON
 22.002  WAIT         -t 2 Settling...
 22.003  IEEE2        MEASU:MEAS1:VAL?[I]
 22.004  MATH         MEM = MEM / 1E+3
 22.005  MATH         S[10] = FMT(MEM, "%.2f")
 22.006  MEM2         = Limit: 0.95 <= Freq <= 1.05 kHz
 22.007  MEM2         =[MEM2], Result: [S10] kHz
 22.008  EVAL   -e MEM >= 0.95 && MEM <= 1.05 : [MEM2]

 23.001  HEAD
 23.002  9100         *                                                 S
 23.003  END

 23.004  EVAL   Increment step number

# **************************** Trigger Time Acc ************************

 24.001  LABEL        TRIGGER_TIME_ACCURACY

 24.002  IF           @Chan == 1
 24.003  RSLT         =
 24.004  RSLT         =TIME ACCURACY for PULSE,GLICH,TIMEOUT,WIDTH TRIGGERING
 24.005  ENDIF

 24.006  RSLT         =
 24.007  RSLT         =Channel [V @Chan]

 24.008  RSLT         =
 24.009  HEAD         { WIDTH TRIGGERING at 100 MHz}
 24.010  TARGET
 24.011  CALL         Sub Tek TDS5000B Channel Select IEEE
 24.012  IEEE2        HOR:SCA 10E-9
 24.013  IEEE2        CH[V @Chan]:TER 50;SCA 100E-3
 24.014  9100         500mVpp                      100MH          LS SC S  L
 24.015  IEEE2        TRIG:A:MOD NORM;TYP PUL
 24.016  IEEE2        TRIG:A:PUL:SOU CH[V @Chan];CLA WID
 24.017  IEEE2        TRIG:A:PUL:WID:HIGHL 10E-9;LOWL 2E-9
 24.018  IEEE2        TRIG:A SETL

# Find the pulse width lower Limit setting that could make triggering lost.
 24.019  MATH         L[1] = 3.5E-9

 24.020  DO
 24.021  IEEE2        TRIG:A:PUL:WID:LOWL [L1]
 24.022  CALL         Sub Tek TDS5000B Check Trig Status IEEE

 24.023  IF           @Trig
 24.024  MATH         L[1] = L[1] + 0.5E-9
 24.025  MATH         LowerLimit = 0
 24.026  ELSE
 24.027  MATH         LowerLimit = L[1]
 24.028  ENDIF

 24.029  UNTIL        L[1] > 6.5E-9 || LowerLimit != 0

 24.030  MATH         Result = FMT(L[1] / 1E-9, "%.1f") & " ns"
 24.031  MEM2         = Width Lower Limit: 3.5 ns to 6.5 ns, Result [V Result]
 24.032  EVAL   -e L[1] >= 3.5E-9 && L[1] <= 6.5E-9 :[MEM2]

# Set the pulse width lower limit back in order to reestablish triggering
 25.001  IEEE2        TRIG:A:PUL:WID:LOWL 2E-9

# Find the pulse width upper Limit setting that could make triggering lost.
 25.002  MATH         L[1] = 6.5E-9

 25.003  DO
 25.004  IEEE2        TRIG:A:PUL:WID:HIGHL [L1]
 25.005  CALL         Sub Tek TDS5000B Check Trig Status IEEE

 25.006  IF           @Trig
 25.007  MATH         L[1] = L[1] - 0.5E-9
 25.008  MATH         UpperLimit = 0
 25.009  ELSE
 25.010  MATH         UpperLimit = L[1]
 25.011  ENDIF

 25.012  UNTIL        L[1] < 3.5E-9 || UpperLimit != 0

 25.013  MATH         Result = FMT(L[1] / 1E-9, "%.1f") & " ns"
 25.014  MEM2         = Width Upper Limit: 3.5 ns to 6.5 ns, Result [V Result]
 25.015  EVAL   -e L[1] >= 3.5E-9 && L[1] <= 6.5E-9 : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 26.001  IEEE2        TRIG:A:PUL:WID:HIGHL 10E-9

 26.002  9100         *                                                 S

 26.003  RSLT         =
 26.004  HEAD         { WIDTH TRIGGERING at 250 kHz}
 26.005  TARGET
 26.006  IEEE2        TRIG:A:MOD NORM;TYP PUL
 26.007  IEEE2        TRIG:A:PUL:SOU CH[V @Chan];CLA WID
 26.008  IEEE2        TRIG:A:PUL:WID:HIGHL 4E-6;LOWL 500E-9
 26.009  IEEE2        HOR:SCA 4E-6
 26.010  IEEE2        CH[V @Chan]:SCA 20E-3
 26.011  9100         100mVpp                      250kH          LS SC S  L
 26.012  IEEE2        TRIG:A SETL

# Find the pulse width lower Limit setting that could make triggering lost.
 26.013  MATH         L[1] = 1.9E-6

 26.014  DO
 26.015  IEEE2        TRIG:A:PUL:WID:LOWL [L1]
 26.016  CALL         Sub Tek TDS5000B Check Trig Status IEEE

 26.017  IF           @Trig
 26.018  MATH         L[1] = L[1] + 0.01E-6
 26.019  MATH         LowerLimit = 0
 26.020  ELSE
 26.021  MATH         LowerLimit = L[1]
 26.022  ENDIF

 26.023  UNTIL        L[1] > 2.1E-6 || LowerLimit != 0

 26.024  MATH         Result = FMT(L[1] / 1E-6, "%.1f") & " µs"
 26.025  MEM2         = Width Lower Limit: 1.9 µs to 2.1 µs, Result [V Result]
 26.026  EVAL   -e L[1] >= 1.9E-6 && L[1] <= 2.1E-6 : [MEM2]

# Set the pulse width lower limit back in order to reestablish triggering
 27.001  IEEE2        TRIG:A:PUL:WID:LOWL 500E-9

# Find the pulse width upper Limit setting that could make triggering lost.
 27.002  MATH         L[1] = 2.1E-6

 27.003  DO
 27.004  IEEE2        TRIG:A:PUL:WID:HIGHL [L1]
 27.005  CALL         Sub Tek TDS5000B Check Trig Status IEEE

 27.006  IF           @Trig
 27.007  MATH         L[1] = L[1] - 0.01E-6
 27.008  MATH         UpperLimit = 0
 27.009  ELSE
 27.010  MATH         UpperLimit = L[1]
 27.011  ENDIF

 27.012  UNTIL        L[1] > 2.1E-6 || UpperLimit != 0

 27.013  MATH         Result = FMT(L[1] / 1E-6, "%.1f") & " µs"
 27.014  MEM2         = Width Upper Limit: 1.9 µs to 2.1 µs, Result [V Result]
 27.015  EVAL   -e L[1] >= 1.9E-6 && L[1] <= 2.1E-6 : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 28.001  IEEE2        TRIG:A:PUL:WID:HIGHL 4E-6

 28.002  HEAD
 28.003  9100         *                                                 S
 28.004  END
