﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5054B: (1 year) CAL VER IEEE /9100+Opt600
DATE:                  2009-06-30 11:16:52
AUTHOR:                Fluke
REVISION:              $Revision: 1.6 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       309
CONFIGURATION:         Datron 9100 (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5034b_5054b_5054be_1yr_ver_ieee_9100_opt600.txt,v $
#    $Date: 2009/06/30 18:12:04 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5034B, TDS 5054B, TDS 5054BE
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Ch Delay IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Sam Rate IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Delta T IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Trig Time IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Sig Out IEEE/9100+Opt600
#        Sub Tek TDS5000B (1 yr) Pb Comp IEEE/9100+Opt600
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       BNC female to double stacking banana plug, Pomona 1269
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  : TDS 5034B
#        Serial No : B010007
#        Options   :
#        Firmware  : CF:91.1CT FV:2.0.9
#
# Average run time during testing :  40 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         500MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.009  DISP         later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  TARGET
  1.019  CALL         Sub Tek TDS5000B Setup IEEE
  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  IF           PSUB("5034B")
  1.024  MATH         Model = "TDS5034B"
  1.025  ELSEIF       PSUB("5054B:")
  1.026  MATH         Model = "TDS5054B"
  1.027  ELSEIF       PSUB("5054BE:")
  1.028  MATH         Model = "TDS5054BE"
  1.029  ELSE
  1.030  MATH         Model = "unsupported model"
  1.031  ENDIF

  1.032  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.033  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.034  IF           NOT(L[1] && L[2])
  1.035  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.035  DISP         not a Tektronix [V Model]!
  1.036  END
  1.037  ENDIF

  1.038  HEAD         EQUIPMENT REQUIREMENTS
  1.039  DISP         The following additional equipment and/or
  1.039  DISP         accessories are required:
  1.039  DISP
  1.039  DISP         - 2 Way Power Splitter
  1.039  DISP         - BNC T(f-m-f) adapter
  1.039  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.039  DISP         - SMA T(f-m-f) adapter
  1.039  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.039  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.039  DISP         - 2 sets SMA Short
  1.039  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           PROBE COMPENSATION OUTPUT
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH1)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH2)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH3)
#    7.   BANDWIDTH(CH1)                     DCV MEASUREMENT ACC(CH4)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH1)
#    9.   BANDWIDTH(CH3)                     CHANNEL ISOLATION(CH1 IN)
#   10.   BANDWIDTH(CH4)                     SAMPLE RATE AND DELAY TIME ACC
#   11.   CHANNEL DELAY                      TIME ACC OF PULSE WIDTH TRIG(CH1)
#   12.   CHANNEL ISOLATION(CH1 IN)          EDGE-TRIGGER SENSITIVITY(CH1)
#   13.   CHANNEL ISOLATION(CH2 IN)          BANDWIDTH(CH2)
#   14.   CHANNEL ISOLATION(CH3 IN)          CHANNEL ISOLATION(CH2 IN)
#   15.   CHANNEL ISOLATION(CH4 IN)          BANDWIDTH(CH3)
#   16.   SAMPLE RATE AND DELAY TIME ACC     CHANNEL ISOLATION(CH3 IN)
#   17.   DELTA TIME MEASUREMENT ACC(CH1)    BANDWIDTH(CH4)
#   18.   DELTA TIME MEASUREMENT ACC(CH2)    CHANNEL ISOLATION(CH4 IN)
#   19.   DELTA TIME MEASUREMENT ACC(CH3)    DELTA TIME MEASUREMENT ACC(CH1)
#   20.   DELTA TIME MEASUREMENT ACC(CH4)    DELTA TIME MEASUREMENT ACC(CH2)
#   21.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH3)
#   22.   EDGE-TRIGGER SENSITIVITY(CH1)      DELTA TIME MEASUREMENT ACC(CH4)
#   23.   SIGNAL OUT AND AUX TRIGGER OUT     CHANNEL DELAY
#   24.   PROBE COMPENSATION OUTPUT          SIGNAL OUT AND AUX TRIGGER OUT

  1.040  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.041  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.042  JMPL         END                          @Abort

  1.043  MATH         @SPCTime = 400
  1.044  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.045  JMPL         END                          @Abort

  1.046  JMPL         PROBE_COMPENSATION_OUT

  1.047  LABEL        DCV_ACC_CH1
  1.048  MATH         @Chan = 1
  1.049  CALL         Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600

  1.050  MATH         @Chan = 2
  1.051  CALL         Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600

  1.052  MATH         @Chan = 3
  1.053  CALL         Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600

  1.054  MATH         @Chan = 4
  1.055  CALL         Sub Tek TDS5000B (1 yr) DCV Meas IEEE/9100+Opt600

  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
  1.058  JMPL         CHANNELS_ISOLATION_CH1

  1.059  LABEL        BANDWIDTH_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
  1.062  JMPL         CHANNELS_ISOLATION_CH2

  1.063  LABEL        BANDWIDTH_CH3
  1.064  MATH         @Chan = 3
  1.065  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
  1.066  JMPL         CHANNELS_ISOLATION_CH3

  1.067  LABEL        BANDWIDTH_CH4
  1.068  MATH         @Chan = 4
  1.069  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE/9100+Opt600
  1.070  JMPL         CHANNELS_ISOLATION_CH4

  1.071  LABEL        CHANNEL_DELAY
  1.072  MATH         @Chan = 1
  1.073  CALL         Sub Tek TDS5000B (1 yr) Ch Delay IEEE/9100+Opt600
  1.074  JMPL         SIGNAL_OUT

  1.075  LABEL        CHANNELS_ISOLATION_CH1
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
  1.078  JMPL         SAMPLE_RATE_DELAY_TIME

  1.079  LABEL        CHANNELS_ISOLATION_CH2
  1.080  MATH         @Chan = 2
  1.081  CALL         Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
  1.082  JMPL         BANDWIDTH_CH3

  1.083  LABEL        CHANNELS_ISOLATION_CH3
  1.084  MATH         @Chan = 3
  1.085  CALL         Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
  1.086  JMPL         BANDWIDTH_CH4

  1.087  LABEL        CHANNELS_ISOLATION_CH4
  1.088  MATH         @Chan = 4
  1.089  CALL         Sub Tek TDS5000B (1 yr) Chan Iso IEEE/9100+Opt600
  1.090  JMPL         DELTA_TIME_CH1

  1.091  LABEL        SAMPLE_RATE_DELAY_TIME
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub Tek TDS5000B (1 yr) Sam Rate IEEE/9100+Opt600
  1.094  JMPL         TRIG_CH1

  1.095  LABEL        DELTA_TIME_CH1
  1.096  MATH         @Chan = 1
  1.097  CALL         Sub Tek TDS5000B (1 yr) Delta T IEEE/9100+Opt600

  1.098  MATH         @Chan = 2
  1.099  CALL         Sub Tek TDS5000B (1 yr) Delta T IEEE/9100+Opt600

  1.100  MATH         @Chan = 3
  1.101  CALL         Sub Tek TDS5000B (1 yr) Delta T IEEE/9100+Opt600

  1.102  MATH         @Chan = 4
  1.103  CALL         Sub Tek TDS5000B (1 yr) Delta T IEEE/9100+Opt600
  1.104  JMPL         CHANNEL_DELAY

  1.105  LABEL        TRIG_CH1
  1.106  MATH         @Chan = 1
  1.107  CALL         Sub Tek TDS5000B (1 yr) Trig Time IEEE/9100+Opt600
  1.108  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE/9100+Opt600
  1.109  JMPL         BANDWIDTH_CH2

  1.110  LABEL        SIGNAL_OUT
# The following signal out test is attached only with channel 3 input
  1.111  MATH         @Chan = 3
  1.112  CALL         Sub Tek TDS5000B (1 yr) Sig Out IEEE/9100+Opt600
  1.113  JMPL         END

  1.114  LABEL        PROBE_COMPENSATION_OUT
  1.115  MATH         @Chan = 1
  1.116  CALL         Sub Tek TDS5000B (1 yr) Pb Comp IEEE/9100+Opt600
  1.117  JMPL         DCV_ACC_CH1

  1.118  LABEL        END
  1.119  IEEE2        *RST
  1.120  HEAD
  1.121  RSLT         =

  1.122  IF           @Abort
  1.123  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.124  ELSE
  1.125  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.126  ENDIF

  1.127  END
